Subject: Re: bug#69017: 30.0.50; [debbugs] Make compilation step optional in debbugs-gnu-apply-patch

From: Eric Abrahamsen <[email-masked]>
Date: Sat, 10 Feb 2024 11:23:30 -0800

On 02/10/24 19:54 PM, Michael Albinus wrote:
> Eric Abrahamsen <[email-masked]> writes:
>
> Hi Eric,
>
>> I've started using `debbugs-gnu-apply-patch' regularly, and find it
>> enormously useful -- it's particularly nice that it handles both inline
>> patches and attachments.
>>
>> I don't love the automatic compilation step, though. I pretty much never
>> want to go straight to compilation; it is very long; and the windows are
>> a mess until it finishes. Even the magit/vc step afterwards is often not
>> what I want, as I have Magit already open on Emacs somewhere else.
>>
>> How about some sort of custom option to control this? Either
>> specifically compile-after-apply, or maybe a list of post-apply-actions,
>> something like that?
>
> I don't use `debbugs-gnu-apply-patch' by myself, so I have no opinion
> about. It was written by Lars for his own workflow.

Out of curiosity, do you use any convenience functions for applying
patches from email->repository?

> No objections from my side, if you make some optional changes. And
> please document them in debbugs-ug.texi.

Okay! Thanks. I have a quick question: the :version tags on the
defcustoms in debbug-gnu.el all seem to refer to Emacs versions,
shouldn't they refer to debbugs package versions? Or is this also a Lars
thing?

Thanks,
Eric